Page MenuHomePhabricator

Migration of Growth team Trello boards to Phabricator
Closed, ResolvedPublic

Description

The Trello cards of the former Growth-Team have been migrated to Phabricator.


Please migrate the Growth team boards to Phabricator using the Trello script (T821). Although the team has been retired, there is still a lot of open stuff there that is not in Bugzilla, some of which people will work on at some point. It's also nice to have the done stuff for historical reasons.

Kaity Hammerstein, Sam Smith, Rob Moen, and Steven Walling may also be interested, but I could not find them on Phabricator yet.

The priority is the main board (both archived and unarchived cards, since archiving done cards was normal procedure)

It would be good (but not as important as the main board) to also do the Roadmap Board (not used as much, though). This may require someone to re-open it (I don't seem to have permission to do so).

@Mattflaschen can act as a point person as needed.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Normal.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF changed Security from none to None.
Qgil added a comment.Nov 27 2014, 8:10 AM

As per T434 , in the following days I plan to scan the levels of use of Phabricator by all the WMF product & engineering teams. Please keep the description of this task up to date.

Qgil lowered the priority of this task from Normal to Low.Dec 29 2014, 12:23 PM
Qgil moved this task from To Triage to Doing on the Phabricator board.Jan 12 2015, 10:25 AM
Qgil moved this task from Doing to To Triage on the Phabricator board.

@Spage, I wonder whether you were aware of this task. The Growth team is now orphan/defunct, but @Mattflaschen thinks it is worth migrating their cards to Phabricator not to lose that work completely. Would you like to work on this at some point in March?

@Spage
Usernames trello > phab
@matthewflaschen > @Mattflaschen
@kaityhammerstein > @KHammerstein
@moizsyed_ > @MSyed
@phuedx > @phuedx

@Spage
Main board
https://trello.com/b/FdtPTV2y/growth
Columns:
Bucket o' Mess
Backlog (prioritized)
Current Sprint To Do
In Development
Needs Review/QA
Done
(Also the archive list if possible)

Roadmap board
https://trello.com/b/VtfU41K8/growth-roadmap
Columns:
Done
Currently Doing
Near Term
Long Term
Unprioritized

@Spage
Usernames trello > phab
@matthewflaschen > @Mattflaschen
@kaityhammerstein > @KHammerstein
@moizsyed_ > @MSyed
@phuedx > @phuedx

And the rest (I think everyone else doesn't have a Phabricator account or isn't currently a member of the Trello board):

@halfak > @Halfak
@robm17 > @rmoen
@dartar > @DarTar
@howiefung > @howief
@jaredzimmerman> @Jaredzimmerman-WMF
@pauginer> @Pginer-WMF

I did a test import of the Growth > Current Sprint To Do column to a Growth-test board on our test phab instance, see https://phab-01.wmflabs.org/project/board/63/

It's also nice to have the done stuff for historical reasons.
The priority is the main board (both archived and unarchived cards, since archiving done cards was normal procedure)

I'm not sure preserving history is a great reason. I know of no plans to turn off Trello for WMF, so anyone who cares can visit these boards. FWIW Danny left lots of Flow cards in Trello un-migrated.

Also the script skips archived cards. I can take out that check (lines 308-310 in trello_create.py), but I think they'll migrate as open tasks so you'd have to bulk change their status (or hack the python!).

Before I can proceed I need to know the destination Phabricator project(s) for the migrated Trello cards? Please create analogous Growth and Growth-roadmap projects in Phabricator, or give me some other board for these cards, like MediaWiki-extensions-GettingStarted.

I don't really care what columns you want, since trello_create.py doesn't do any board manipulation – all the cards just show up in the default (Backlog) column. I haven't found a better way to put cards in the desired column than moving a card at a time. I can either import a column at a time, or the entire board at once. The first way ensures all the cards in one Trello column appear adjacent to each other in the Phabricator backlog column.

I'm not sure preserving history is a great reason. I know of no plans to turn off Trello for WMF, so anyone who cares can visit these boards. FWIW Danny left lots of Flow cards in Trello un-migrated.

I feel migrating archived cards may be useful, but Trello always had a slightly transitive feel, so I don't have a strong preference.

Before I can proceed I need to know the destination Phabricator project(s) for the migrated Trello cards? Please create analogous Growth and Growth-roadmap projects in Phabricator, or give me some other board for these cards, like MediaWiki-extensions-GettingStarted.

I've created Growth-Team. I think it's fine to merge everything to there.

I feel migrating archived cards may be useful, but Trello always had a slightly transitive feel, so I don't have a strong preference.

+1 I don't have a strong preference either way.

OK, this is done. Matt Flaschen already went in and cleaned some up.

Because I care I added links to Trello attachments to the task description.

https://www.mediawiki.org/wiki/Phabricator/Trello_to_Phabricator/Growth_team_import has detailed logs.

  • I migrated each column of https://trello.com/b/FdtPTV2y/growth , all the cards appear in Backlog.
    • Recreating the Trello columns in the Phabricator workboard and manually dragging cards is left as an exercise...
    • Migrating the Trello "Done" column pulled in dozens of old cards that were "Completed", I think this might be a format change Trello made a while ago. Anyway I used Maniphest query's batch-edit feature to set the status of all of them to Resolved, with a comment.
  • I migrated https://trello.com/b/VtfU41K8/growth-roadmap all at once, and dragged all its 17 cards to an "old-Growth roadmap" column.
In T1247#1094910, @Mattflaschen wrote:

I feel migrating archived cards may be useful, but Trello always had a slightly transitive feel, so I don't have a strong preference.

I didn't migrate archived cards.

Qgil moved this task from Backlog to Doing on the ECT-March-2015 board.Mar 10 2015, 5:05 PM
Qgil updated the task description. (Show Details)Mar 13 2015, 9:10 AM
Qgil added a project: Notice.
gpaumier edited projects, added Developer-notice; removed Notice.Mar 13 2015, 10:11 PM
Krinkle moved this task from Backlog to Archive on the Developer-notice board.Apr 18 2016, 9:16 PM
Restricted Application added a subscriber: scfc. · View Herald TranscriptApr 18 2016, 9:16 PM